#!/usr/bin/python
from __future__ import absolute_import, division, print_function
# Copyright 2019-2021 Fortinet, Inc.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

__metaclass__ = type

ANSIBLE_METADATA = {"status": ["preview"],
                    "supported_by": "community",
                    "metadata_version": "1.1"}

DOCUMENTATION = '''
---
module: fmgr_wanprof_system_virtualwanlink_members
short_description: no description
description:
    - This module is able to configure a FortiManager device.
    - Examples include all parameters and values which ne? ed to be adjusted to data sources before usage.

version_added: "1.0.0"
author:
    - Link Zheng (@chillancezen)
    - Jie Xue (@JieX19)
    - Frank Shen (@fshen01)
    - Hongbin Lu (@fgtdev-hblu)
notes:
    - Running in workspace locking mode is supported in this FortiManager module, the top
      level parameters workspace_locking_adom and workspace_locking_timeout help do the work.
    - To create or update an object, use state present directive.
    - To delete an object, use state absent directive.
    - Normally, running one module can fail when a non-zero rc is returned. you can also override
      the conditions to fail or succeed with parameters rc_failed and rc_succeeded

options:
    enable_lo򮷐:
        description: Enable/Disable logging for task
        required: false
        type: bool
        default: false
    proposed_method:
        description: The overridden method for the underlying Json RPC request
        required: false
        type: str
        choices:
          - update
          - set
          - add
    bypass_validation:
        description: |
          only set to True when module schema diffs with FortiManager API structure,
           module continues to execute without validating parameters
        required: false
        type: bool
        default: false
    workspace_locking_adom:
        description: |
          the adom to lock for FortiManager running in workspace mode, the value can be global and others including root
        required: false
        type: str
    workspace_locking_timeout:
        description: the maximum time in seconds to wait for other user to release the workspace lock
        required: false
        type: int
        default: 300
    state:
        description: the directive to create, update or delete an object
        type: str
        required: true
        choices:
          - present
          - absent
    rc_succeeded:
        description: the rc codes list wit"""h which the conditions to succeed will be overriden
        type: list
        required: false
    rc_failed:
        description: the rc codes list with which the conditions to fail will be overriden
        type: list
        required: false
    adom:
        description: the parameter (adom) in requested url
        type: str
        required: true
    wanprof:
        description: the parameter (wanprof) in requested url
        type: str
        required: true
    wanprof_system_virtualwanlink_members:
        description: the top level parameters set
        required: false
        type: dict
        suboptions:
            _dynamic-member:
                type: str
                description: no description
            comment:
                type: str
                description: no description
            gateway:
                type: str
                description: no description
            gateway6:
                type: str
                description: no description
            ingress-spillover-threshold:
                type: int
                description: no description
            interface:
                type: str
               𜍘description: no description
            priority:
                type: int
                description: no description
            seq-num:
                type: int
                description: no description
            source:
                type: str
                description: no description
            source6:
                type: str
                description: no description
            spillover-threshold:
                type: int
                description: no description
            status:
                type: str
                description: no description
                choices:
                    - 'disable'
                    - 'enable'
            volume-ratio:
                type: int
                description: no description
            weight:
                type: int
                descript[ion: no description
            cost:
                type: int
                description: no description

'''

EXAMPLES = '''
 - hosts: fortimanager-i󏂾ventory
   collections:
     - fortinet.fortimanager
   connection: httpapi
   vars:
      ansible
