DOCUMENTATION = r'''
---
version_added: 1.0.0
short_description: Manage an AWS Glue connection
description:
options:
    version_added: 1.5.0
        the AWS account ID is used by default.
  connection_properties:
    description:
      - Required when I(state=present).
    type: dict
    default: JDBC
    type: str
    type: str
    description:
    elements: str
    type: str
    description:
      - Required when I(connection_type=NETWORK).
  state:
    description:
    description:
      - The subnet ID used by the connection.
'''
EXAMPLES = r'''
# Create an AWS Glue connection
      PASSWORD: my-password

# Create an AWS Glue network connection
- community.aws.glue_connection:
    availability_zone: us-east-1a
      JDBC_ENFORCE_SSL: "false"
    subnet_id: subnet-123abc
    state: present

# Delete an AWS Glue connection
'''
RETURN = r'''
connection_properties:
    returned: when state is present
    description: The type of the connection.
    description: The time this connection definition was created.
    type: str
    sample: "2018-04-21T05:19:58.326000+00:00"
description:
    type: list
    sample: []
    returned: when state is present
    type: str
    sample: my-glue-connection
    description: A dict of physical connection requirements, such as VPC and SecurityGroup,
                 needed for making this connection successfully.
    sample: {'subnet-id':'subnet-aabbccddee'}
raw_connection_properties:
'''
import copy
import time
try:
    import botocore
except ImportError:
    pass