from sphinx.util.i18n import docname_to_domain
from sphinx.util.nodes import (IMAGE_TYPE_NODES, LITERAL_TYPE_NODES, NodeMatcher,
                               extract_messages, traverse_translatable_index)
if TYPE_CHECKING:
    from sphinx.application import Sphinx
logger = logging.getLogger(__name__)
def publish_msgstr(app: Sphinx, source: str, source_path: str, source_line: int,
                   config: Config, settings: Any) -> Element:
    """Publish msgstr (single line) into docutils document
    :param str source: source text
    :param str source_path: source path for warning indication
    :param source_line: source line for warning indication
    """
    try:
        from sphinx.io import SphinxI18nReader
        reader = SphinxI18nReader()
        doc = reader.read(
            source=StringInput(source=source,
                               source_path=f"{source_path}:{source_line}:<translated>"),
        )
        try:
            doc = doc[0]  # type: ignore
        except IndexError:  # empty node
            pass
    finally:
        config.rst_prolog = rst_prolog  # type: ignore