from .util import CLIError, CtxTypeError, CommandResultItem, todict


class CommandInvoker(object):

    def __init__(self,
                 cli_ctx=None,
                 help_cls=CLIHelp,
                 initial_data=None):
        """ Manages a single invocation of the CLI (i.e. running a command)
        :type cli_ctx: knack.cli.CLI
        :param parser_cls: A class to handle command parsing
        :type commands_loader_cls: knack.commands.CLICommandsLoader
        :type help_cls: knack.help.CLIHelp
        :param initial_data: The initial in-memory collection for this command invocation
        """
        if cli_ctx is not None and not isinstance(cli_ctx, CLI):
            raise CtxTypeError(cli_ctx)
        self.cli_ctx = cli_ctx
        self.data = initial_data or defaultdict(lambda: None)
        self.help = help_cls(cli_ctx=self.cli_ctx)
        self.parser = parser_cls(cli_ctx=self.cli_ctx, cli_help=self.help,
                                 prog=self.cli_ctx.name, parents=[self._global_parser])

        # arguments and remove them from the arguments that we pass to the actual function.
        params = {key: value
                  for key, value in args.__dict__.items()
                  if not key.startswith('_')}
        params.pop('func', None)
        params.pop('command', None)
        return params

        nouns = []
        for arg in args:
            if arg and arg[0] != '-':
                nouns.append(arg)
            else:
                break

        # since the command name may be immediately followed by a positional arg, strip those off
        while nouns and not _find_args(nouns):
            del nouns[-1]



        if cmd_validator:
            cmd_validator(ns)
        try:
            delattr(ns, '_command_validator')
        except AttributeError:
            pass