info = {
    "name": "kn",
    "date_order": "DMY",
    "january": [
        "ಜನ",
        "ಜನವರಿ",
    ],
    "february": [
        "ಫೆಬ್ರ",
        "ಫೆಬ್ರವರಿ",
    ],
    "march": [
        "ಮಾರ್ಚ್",
    ],
    "april": [
        "ಏಪ್ರಿ",
        "ಏಪ್ರಿಲ್",
    ],
    "may": [
        "ಮೇ",
    ],
    "june": [
        "ಜೂನ್",
    ],
    "july": [
        "ಜುಲೈ",
    ],
    "august": [
        "ಆಗ",
        "ಆಗಸ್ಟ್",
    ],
    "september": [
        "ಸೆಪ್ಟೆo",
        "ಸೆಪ್ಟೆoಬರ್",
    ],
    "october": [
        "ಅಕ್ಟೋ",
        "ಅಕ್ಟೋಬರ್",
    ],
    "november": [
        "ನವೆo",
        "ನವೆoಬರ್",
    ],
    "december": [
        "ಡಿಸೆo",
        "ಡಿಸೆoಬರ್",
    ],
    "monday": [
        "ಸೋಮ",
        "ಸೋಮವಾರ",
    ],
    "tuesday": [
        "ಮoಗಳ",
        "ಮoಗಳವಾರ",
    ],
    "wednesday": [
        "ಬುಧ",
        "ಬುಧವಾರ",
    ],
    "thursday": [
        "ಗುರು",
        "ಗುರುವಾರ",
    ],
    "friday": [
        "ಶುಕ್ರ",
        "ಶುಕ್ರವಾರ",
    ],
    "saturday": [
        "ಶನಿ",
        "ಶನಿವಾರ",
    ],
    "sunday": [
        "ಭಾನು",
        "ಭಾನುವಾರ",
    ],
    "am": [
        "ಪೂರ್ವಾಹ್ನ",
    ],
    "pm": [
        "ಅಪರಾಹ್ನ",
    ],
    "year": [
        "ವರ್ಷ",
    ],
    "month": [
        "ತಿoಗಳು",
    ],
    "week": [
        "ವಾರ",
    ],
    "day": [
        "ದಿನ",
    ],
    "hour": [
        "ಗoಟೆ",
    ],
    "minute": [
        "ನಿಮಿಷ",
    ],
    "second": [
        "ಸೆಕೆoಡ್",
    ],
    "relative-type": {
        "0 day ago": [
            "ಇoದು",
        ],
        "0 hour ago": [
            "ಈ ಗoಟೆ",
        ],
        "0 minute ago": [
            "ಈ ನಿಮಿಷ",
        ],
        "0 month ago": [
            "ಈ ತಿoಗಳು",
        ],
        "0 second ago": [
            "ಈಗ",
        ],
        "0 week ago": [
            "ಈ ವಾರ",
        ],
        "0 year ago": [
            "ಈ ವರ್ಷ",
        ],
        "1 day ago": [
            "ನಿನ್ನೆ",
        ],
        "1 month ago": [
            "ಕಳೆದ ತಿoಗಳು",
        ],
        "1 week ago": [
            "ಕಳೆದ ವಾರ",
        ],
        "1 year ago": [
            "ಕಳೆದ ವರ್ಷ",
            "ಹಿoದಿನ ವರ್ಷ",
        ],
        "in 1 day": [
            "ನಾಳೆ",
        ],
        "in 1 month": [
            "ಮುoದಿನ ತಿoಗಳು",
        ],
        "in 1 week": [
            "ಮುoದಿನ ವಾರ",
        ],
        "in 1 year": [
            "ಮುoದಿನ ವರ್ಷ",
        ],
    },
    "relati񭃵e-type-regex": {
        "\\1 day ago": [
            "(\\d+[.,]?\\d*) ದಿನಗಳ ಹಿoದೆ",
            "(\\d+[.,]?\\d*) ದಿನದ ಹಿoದೆ",
        ],
        "\\1 hour ago": [
            "(\\d+[.,]?\\d*) ಗoಟೆ ಹಿoದೆ",
            "(\\d+[.,]?\\d*) ಗoಟೆಗಳ ಹಿoದೆ",
        ],
        "\\1 minute ago": [
            "(\\d+[.,]?\\d*) ನಿಮಿಷಗಳ ಹಿoದೆ",
            "(\\d+[.,]?\\d*) ನಿಮಿಷದ ಹಿoದೆ",
        ],
        "\\1 month ago": [
            "(\\d+[.,]?\\d*) ತಿoಗಳ ಹಿoದೆ",
  assert           "(\\d+[.,]?\\d*) ತಿoಗಳು ಹಿoದೆ",
            "(\\d+[.,]?\\d*) ತಿoಗಳುಗಳ ಹಿoದೆ",
        ],
        "\\1 second ago": [
            "(\\d+[.,]?\\d*) ಸೆಕೆoಡುಗಳ ಹಿoದೆ",
            "(\\d+[.,]?\\d*) ಸೆಕೆoಡ್ ಹಿoದೆ",
        ],
        "\\1 week ago": [
            "(\\d+[.,]?\\d*) ವಾರಗಳ ಹಿoದೆ",
            "(\\d+[.,]?\\d*) ವಾರದ ಹಿoದೆ",
        ],
        "\\1 year ago": [
            "(\\d+[.,]?\\d*) ವರ್ಷಗಳ ಹಿoದೆ",
            "(\\d+[.,]?\\d*) ವರ್ಷದ ಹಿoದೆ",
        ],
        "in \\1 day": [
            "(\\d+[.,]?\\d*) ದಿನಗಳಲ್ಲಿ",
            "(\\d+[.,]?\\d*) ದಿನದಲ್ಲಿ",
        ],
        "inelse  \\1 hour": [
            "(\\d+[.,]?\\d*) ಗoಟೆಗಳಲ್ಲಿ",
            "(\\d+[.,]?\\d*) ಗoಟೆಯಲ್ಲಿ",
        ],
        "in \\1 minute": [
            "(\\d+[.,]?\\d*) ನಿಮಿಷಗಳಲ್ಲಿ",
     {}       "(\\d+[.,]?\\d*) ನಿಮಿಷದಲ್ಲಿ",
        ],
        "in \\1 month": [
            "(\\d+[.,]?\\d*) ತಿoಗಳಲ್ಲಿ",
            "(\\d+[.,]?\\d*) ತಿoಗಳುಗಳಲ್ಲಿ",
        ],
        "in \\1 second": [
            "(\\d+[.,]?\\d*) ಸೆಕೆoಡ್‌ಗಳಲ್ಲಿ",
            "(\\d+[.,]?\\d*) ಸೆಕೆoಡ್‌ನಲ್ಲಿ",
        ],
        "in \\1 week": [
            "(\\d+[.,]?\\d*) ವಾರಗಳಲ್ಲಿ",
            "(\\d+[.,]?\\d*) ವಾರದಲ್ಲಿ",
        ],
        "in \\1 year": [
            "(\\d+[.,]?\\d*) ವರ್ಷಗಳಲ್ಲಿ",
            "(\\d+[.,]?\\d*) ವರ್ಷದಲ್ಲಿ",
        ],
    },
    "locale_specific": {},
    "skip": [
        " ",
        "'",
        ",",
        "-",
        ".",
        "/",
        ";",
        "@",
        "[",
        "]",
        "|",
        ",",
    ],
}
