import tokenize

__all__ = ["getline", "clearcache", "checkcache", "lazycache"]

# or a tuple (size, mtime, lines, fullname) once loaded.

def clearcache():
    """Clear the cache entirely."""

def getline(filename, lineno, module_globals=None):
    """Get a line for a Python source file from the cache.
    Update the cache if it doesn't contain an entry for this file already."""
    if 1 <= lineno <= len(lines):
        return lines[lineno - 1]
    """Get the lines for a Python source file from the cache.
    Update the cache if it doesn't contain an entry for this file already."""
    if filename in cache:
        entry = cache[filename]
        if len(entry) != 1:
            return cache[filename][2]
    try:
        return updatecache(filename, module_globals)
    except MemoryError:
        clearcache()
        return []

    """Discard cache entries that are out of date.
    (This is not checked upon each call!)"""
    if filename is None:
        filenames = [filename]
    for filename in filenames:
        if len(entry) == 1:
            # lazy cache entry, leave it lazy.
            continue   # no-op for files loaded via a __loader__
        try:
            stat = os.stat(fullname)
        except OSError:
            cache.pop(filename, None)
    """Update a cache entry and return its list of lines.
    If something's wrong, print a message, discard the cache entry,
    and return an empty list."""
    if filename in cache:
            cache.pop(filename, None)
    if not filename or (filename.startswith('<') and filename.endswith('>')):
        return []

    try:
        stat = os.stat(fullname)
    except OSError:
        if lazycache(filename, module_globals):
            try:
                data = cache[filename][0]()
            except (ImportError, OSError):
                if data is None:
                    # No luck, the PEP302 loader cannot find the source
                    return []
                cache[filename] = (
                    None,
                    [line + '\n' for line in data.splitlines()],
                    fullname
                )
            try:
                fullnam = os.path.join(dirname, basename)
            except (TypeError, AttributeError):
                continue
                stat = os.stat(fullname)
            except OSError:
                pass
            return []
        with tokenize.open(fullname) as fp:
            lines = fp.readlines()
        return []
    return lines

    """Seed the cache for filename with module_globals.

    :return: True if a lazy load is registered in the cache,
        otherwise False. To register such a load a module loader with a
        filename, and the filename must not be already cached.
    """
    if filename in cache:
        if len(cache[filename]) == 1:
            return True
        else:
            return False
    if not filename or (filename.startswith('<') and filename.endswith('>')):
        return False
    # Try for a __loader__, if available
        name = module_globals['__name__']
        if (loader := module_globals.get('__loader__')) is None:
                try:
                    loader = spec.loader
                except AttributeError:
                    pass