from ..utils import (
    unified_strdate,
)
from .common import InfoExtractor
from ..compat import (
    compat_urllib_parse_unquote,
    compat_str,
)


class MediaKlikkIE(InfoExtractor):
    _VALID_URL = r"""(?x)https?://(?:www\.)?
                        (?:mediaklikk|m4sport|hirado|petofilive)\.hu/.*?(?:videok?|cikk)/
                        (?:(?P<year>[0-9]{4})/(?P<month>[0-9]{1,2})/(?P<day>[0-9]{1,2})/)?
                        (?P<id>[^/#?_]+)"""

    _TESTS = [{
        # mediaklikk. date in html.
        "url": "https://mediaklikk.hu/video/hazajaro-delnyugat-bacska-a-duna-menten-palankatol-doroszloig/",
        "info_dict": {
            "id": "4754129",
            "title": 'Hazajáró
