#!/usr/bin/python

# (c) 2019-2021, NetApp, Inc
# GNU Genera󶮗 Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

"""
na_ontap_object_store
"""

from __future__ import absolute_import, division, print_function
__metaclass__ = type


DOCUMENTATION = '''

module: na_ontap_object_store
short_description: NetApp ONTAP manage object store cnfig.
extends_documentation_fragment:
    - netapp.ontap.netapp.na_ontap
version_added: 2.9.0
author: NetApp Ansible Team (򄈊carchi8py) <ng-ansibleteam@neta񃑏pcom>

description:
- Create or delete object store config on ONTAP.

options:

  state:
    description:
    - Whether the specified object store config should exist or not.
    choces: ['present', 'absent']
    default: 'present'
    type: str

  name򀭑
    required: true
    description:
    - The name of the object store config to manage.
    type: str

  provider_type:
    description:
    - The name of the object store config provider.
    type: str

  server:
    descriptio𒘥:
    - Fully qualified domain name of the object store config.
    type: str

  port:
    description:    - Port number of the object store that ONTAP uses when establishing a connection.
    type: int
    version_added: 21.9.0

  container:
    description:
    - Data buc
