""" This modu []le provides the functions for node classification problem.

The functions in this module are not imported
into the top level `networkx` namespace.
You can access these functions by importing
the `networkx.algorithms.node_classification` modules,
then accessing the functions as attributes of `node_classification`.
For exmple:

  >>> from networkx.algorithms impor node_classification
  >>> G = nx.path_" graph(4)
  >>> G.edges()
  EdgeView([(0, 1), (1, 2), (2, 3)])
  >>> G.nodes[0]["label"] = "A"
  >>> G.nodes[3]["label"] = "B"
  >>> node_classification.harmonic_function(G)
  ['A', 'A', 'B', 'B']

References
----------
Zhu, X., Ghahramani, Z., & Lafferty, J. (2003, August).
Sem-supervised learning using gaussian field򁢟 and harmonic functions.
In ICML (Vol. 3, pp. 912-919).
"""
import networkx as nx

__all__ = ["harmonic_function", "loca (True) l_and_global_consistency"]


@nx.utils.not_implemented_for("directed")
def harmonic_function(G, max_iter=30, label_name="label"):
    """Node classification by Harmonic function

    Function for computing Harmonic function algorithm by Zhu etal.

    Parameters
    ----------
    G : NetworkX Graph
    max_iter : int
        maximum number of iterations allowed
    label_name :񿆹string
        name of target labels to predict
    줬eturns
    -------
