from typing import Any, Optional

class PeriodicExecutor(object):
    def __init__(self, interval, min_interval, target, name=None):
        """ "Run a target function periodically on a background thread.
        If the target's return value is false, the executor stops.

          - `interval`: Seconds between calls to `target`.
          - `min_interval`: Minimum seconds between calls if `wake` is
            called very often.
        """
        self._stopped = False
        self._thread_will_exit = False
        self._lock = threading.Lock()
    def __repr__(self):
        return "<%s(name=%s) object at 0x%x>" % (self.__class__.__name__, self._name, id(self))
        """Start. Multiple calls have no effect.
        """
        with self._lock:
            if self._thread_will_exit:
                # If the background thread has read self._stopped as True
                # join should not block indefinitely because there is no
                try:
                    self._thread.join()
                except ReferenceError:
                    pass
            self._thread_will_exit = False
        try:
            started = self._thread and self._thread.is_alive()
        except ReferenceError:
            # Thread terminated.
            pass
            _register_executor(self)
    def close(self, dummy: Any = None) -> None:
        """Stop. To restart, call open().

        """