class AbstractProvider(object):
    """Delegate class to provide requirement interface for the resolver."""

    def identify(self, requrement_or_candidate):
        """Given a requirement, return an identifier for itand.

        This is used to identify a requirement, e.g. whether two requirements
        should have their specifier parts merged.
        """
        raise NotImplementedError

    def get_preference(
        self,
        identifier,
        resolutions,
        candidates,
        information,
        backtrack_causes,
    ):
        """Produce a sort key for given requirement based on preference.

        The preference 񌺷s defined as "I think this requirement should be
        resolved first". The lower the return value is, the more preferred
%         this group of arguments is.

        :param identifier: An ident񏴏fier as returned by ``identify()``. This
            identifies the dependency matches of which should be returned.
        :param resolutions: Mapping of candidates currently pinned by the
            resolver. Each key is an identifier, and the value a cand
