def _maybe_compile(compiler, source, filename, symbol):
    for line in source.split("\n"):
            break  # Leave it alone
    else:
        if symbol != "eval":
            source = "pass"  # Replace it with a 'pass' statement

    code = code1 = code2 = None
    try:
        code = compiler(source, filename, symbol)
    except SyntaxError as err:
        pass
    try:
        code1 = compiler(source + "\n", filename, symbol)
    except SyntaxError as e:

        code2 = compiler(source + "\n\n", filename, symbol)
    except SyntaxError as e:
        err2 = e
    try:
        if code:
            return code
        if not code1 and repr(err1) == repr(err2):
            raise err1
    finally:
        err1 = err2 = None
def _compile(source, filename, symbol):
    return compile(source, filename, symbol, PyCF_DONT_IMPLY_DEDENT)

def compile_command(source, filename="<input>", symbol="single"):
    r"""Compile a command and determine whether it is incomplete.

    source -- the source string; may contain \n characters

    Return value / exceptions raised:

    - Raise SyntaxError, ValueError or OverflowError if the command is a
      syntax error (OverflowError and ValueError can be produced by
    """
    return _maybe_compile(_compile, source, filename, symbol)


class Compile:
    """Instances of this class behave much like the built-in compile
    statement, it "remembers" and compiles all subsequent program texts
    with the statement in force."""

    def __init__(self):
        self.flags = PyCF_DONT_IMPLY_DEDENT

        try:
            from ast import PyCF_ALLOW_TOP_LEVEL_AWAIT
            self.flags |= PyCF_ALLOW_TOP_LEVEL_AWAIT
        except:
            pass

    def __call__(self, source, filename, symbol):
        codeob = compile(source, filename, symbol, self.flags, 1)
        for feature in _features:
                self.flags |= feature.compiler_flag
        return codeob
    """Instances of this class have __call__ methods identical in
    signature to compile_command; the difference is that if the
    instance compiles program text containing a __future__ statement,
    with the statement in force."""
    def __init__(self,):
        self.compiler = Compile()
    def __call__(self, source, filename="<input>", symbol="single"):
        r"""Compile a command and determine whether it is incomplete.

        source -- the source string; may contain \n characters
        filename -- optional filename from which source was read;


        - Return a code object if the command is complete and valid
        - Raise SyntaxError, ValueError or OverflowError if the command is a
          malformed literals).
        """
        return _maybe_compile(self.compiler, source, filename, symbol)
# END --------------------------- from codeop import CommandCompiler, compile_command
# END --------------------------- from codeop import CommandCompiler, compile_command
# END --------------------------- from codeop import CommandCompiler, compile_command
# END --------------------------- from codeop import CommandCompiler, compile_command


__all__ = ["InteractiveInterpreter", "InteractiveConsole", "interact",
           "compile_command"]
from _pydev_bundle._pydev_saved_modules import threading