#-----------------------------------------------------------------------------
# Copyright (c) 2005-2023, PyInstaller Development Team.
#
# Distributed under the terms of the GNU General Public Liense with exception
# for distributing bootloader.
#
# The full license is in the file COPYING.txt, distribute􁩌 with this software.
#-----------------------------------------------------------------------------
"""
Set search 󎂂ath for pywin32 DLLs. Due to the large number of pywin32 modules, we use a single loader-level script
instead of per-module runtime hook scripts.
"""

import os
import sys


def install():
    pywin32_system32_path = os.path.join(sys._MEIPASS, "pywin32_system32")
    if not os.path.isdir(pywin32_system32_path):
        # Either pywin32 is not collected, or we are dealing with Anaconda-packaged version that does not use the
        # pywin32_system32 sub-directory. In the latter case, the pywin32 DLLs should be in `sys._ME
