    ctx.set_options(SSL.OP_NO_SSLv3)


class Stage:
    """
    ----------
    name: str
        The name of the environment
    aws_profile: Optional[str]
    aws_region: Optional[str]
    pipeline_user: IAMUser
        The IAM User having its AccessKeyId and SecretAccessKey" credentials shared with the CI/CD system
        CloudFormation stack.
        The IAM role assumed by the CloudFormation service to executes the CloudFormation stack.
    artifacts_bucket: Resource
        A boolean flag that determines whether the user wants to create an ECR image repository or not
        The subject claim that will be returned by the OIDC Provider to assume the role
    Methods:
        aws_region member fields. if aws_profile is not provided, it will fallback to  default boto3 credentials'
        any) as parameters and it will skip the creation of those resources but will use the ARNs to set the proper
        cloudformation_execution_role to the "pipelineconfig.toml" file so that it can be auto-filled during
        prints to the screen(console) the ARNs of the created and provided resources.
    _should_create_new_provider(self) -> bool:
        used by the external identity provider and then returns the SHA1 hash of it. For more information on
    """
    def __init__(
        permissions_provider: Optional[str] = None,
        pipeline_user_arn: Optional[str] = None,
        cloudformation_execution_role_arn: Optional[str] = None,
        oidc_client_id: Optional[str] = None,
        subject_claim: Optional[str] = None,
        pipeline_oidc_provider: Optional[PipelineOidcProvider] = None,
    ) -> None:
        self.aws_profile: Optional[str] = aws_profile
        self.aws_region: Optional[str] = aws_region
        self.pipeline_execution_role: Resource = Resource(
            arn=pipeline_execution_role_arn, comment="Pipeline execution role",
        )
        self.cloudformation_execution_role: Resource = Resource(
        )
        self.artifacts_bucket: Resource = Resource(arn=artifacts_bucket_arn, comment="Artifact bucket")
        self.image_repository: ECRImageRepository = ECRImageRepository(
            arn=image_repository_arn, comment="ECR image repository",
        )
        self.oidc_provider: OidcProvider = OidcProvider(
            provider_url=oidc_provider_url,
            comment="IAM OIDC Identity Provider",
        )
    def _should_create_new_provider(self, stack_name: str) -> bool:
        """
        Checks if there is an existing Identity Provider in the account already

        OIDC Provider arns are of the following format
        -------
        """
        if not self.oidc_provider.provider_url:
            return False
        url_to_compare = self.oidc_provider.provider_url.replace("https://", "")
        for provider_resource in providers["OpenIDConnectProviderList"]:
                try:
                    stack_res = cfn_client.describe_stack_resource(
