﻿# --------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# --------------------------------------------------------------------------------------------
# Generated file, DO NOT EDIT
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------------------------

from msrest import Serializer, Deserializer
from ...client import Client
from . import models


class SymbolClient(Client):
    """Symbol
    :param str base_url: Service URL
    :param Authentication creds: Authenticated credentials.
    """

    def __init__(self, base_url=None, creds=None):
        super(SymbolClient, self).__init__(base_url, creds)
        client_models = {k: v for k, v in models.__dict__.items() if isinstance(v, type)}
        self._serialize = Serializer(client_models)
        self._deserialize = Deserializer(client_models)

    resource_area_identifier = "af607f94-69ba-4821-8159-f04e37b66350"

    def check_availability(self):
        """CheckAvailability.
        [Preview API] Check the availability of symbol service. This includes checking for feature flag, and possibly license in future. Note this is NOT an anonymous endpoint, and the caller will be redirected to authentication before hitting it.
        """
        self._send(http_method="GET",
                   location_id="97c893cc-e861-4ef4-8c43-9bad4a963dee",
                   version="5.1-preview.1")

    def get_client(self, client_type):
        """GetClient.
        [Preview API] Get the client package.
        :param str client_type: Either "EXE" for a zip file containing a Windows symbol client (a.k.a. symbol.exe) along with dependencies, or "TASK" for a VSTS task that can be run on a VSTS build agent. All the other values are invalid. The parameter is case-insensitive.
        :rtype: object
        """
        route_values = {}
        if client_type is not None:
            route_values["clientType"] = self._serialize.url("client_type", client_type, "str")
        response = self._send(http_method="GET",
                              location_id="79c83865-4de3-460c-8a16-01be238e0818",
                              version="5.1-preview.1",
                              route_values=route_values)
        return self._deserialize("object", response)

    def head_client(self):
        """HeadClient.
        [Preview API] Get client version information.
        """
        self._send(http_method="HEAD",
                   location_id="79c83865-4de3-460c-8a16-01be238e0818",
                   version="5.1-preview.1")

    def create_requests(self, request_to_create):
        """CreateRequests.
        [Preview API] Create a new symbol request.
        :param :class:`<Request> <azure.devops.v5_1.symbol.models.Request>` request_to_create: The symbol request to create.
        :rtype: :class:`<Request> <azure.devops.v5_1.symbol.models.Request>`
        """
        content = self._serialize.body(request_to_create, "Request")
        response = self._send(http_method="POST",
                              location_id="ebc09fe3-1b20-4667-abc5-f2b60fe8de52",
                              version="5.1-preview.1",
                              content=content)
        return self._deserialize("Request", response)

    def create_requests_request_id_debug_entries(self, batch
