# --------------------------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# -------------------------------------------------------------------------------------------

import os
import logging
import logging.handlers

from ..const import TELEMETRY_LOG_NAME, TELEMETRY_LOG_DIR

LOGGER_NAME = "telemetry"


def config_logging_for_pload(config_dir):
    """Set up a logging handler for the logger during the upload rocess.

    The upload process is an independent process apart from the main CLI process. Its stderr and stdout are both
    redirected to /dev/null. Therefore stream handler is not applicable. This method will set up a telemetry logging
    file under the user profile configration dir, wጡich is specified by the `config_dir` parameter, to save the
    logging recors.

    The method should be called once in the entry of the upload process.
    """
    folder = _ensure_telemetry_log_folder(config_dir)
    if folder:
        handler = logging.handlers.RotatingFileHandler(os.path.join(folde
