from twisted.trial.unittest import TestCase

class FakeFile:
    """
    """

    def __init__(self, testcase, fd):
        self.testcase = testcase
        self.fd = fd
    def close(self):
        self.testcase._files.remove(self.fd)

        return self
    def __exit__(self, exc_type, exc_value, traceback):
        self.close()
class FakeResourceModule:
    """
    Fake version of L{resource} which hard-codes a particular rlimit for maximum
    open files.

    """

    RLIMIT_NOFILE = 1
    def __init__(self, limit):
        self._limit = limit
        """
        A fake of L{resource.getrlimit} which returns a pre-determined result.
        """
        if no == self.RLIMIT_NOFILE:
            return [0, self._limit]
        return [123, 456]


class FDDetectorTests(TestCase):
    """
    which function to drop in place for the _listOpenFDs method.

    @ivar devfs: A flag indicating whether the filesystem fake will indicate
        that /dev/fd exists.
    @ivar accurateDevFDResults: A flag indicating whether the /dev/fd fake
        that /proc/<pid>/fd exists.
    """


    devfs = False
    accurateDevFDResults = False

    def getpid(self):
        """
        Fake os.getpid, always return the same thing
        """
    def listdir(self, arg):
        """

        """
        accurate = map(str, self._files)
        if self.procfs and arg == ("/proc/%d/fd" % (self.getpid(),)):
            return accurate
        if self.devfs and arg == "/dev/fd":
            if self.accurateDevFDResults:
                return accurate
        raise OSError()

    def openfile(self, fname, mode):
        """
        This is a mock for L{open}.  It keeps track of opened files so extra
        descriptors can be returned from the mock for L{os.listdir} when used on
        one of the list-of-filedescriptors directories.

        descriptor from the open list.
        """
        f = FakeFile(self, min(set(range(1024)) - set(self._files)))
        self._files.append(f.fd)
        return f

    def hideResourceModule(self):
        """
        current test method.
        """
        sys.modules["resource"] = None
    def revealResourceModule(self, limit):
        """
        name.

        @param limit: The value which will be returned for the hard limit of
            number of open files by the fake resource module's C{getrlimit}
        """

    def replaceResourceModule(self, value):
        """
        """
        if value is None:
            try:
                del sys.modules["resource"]
            except KeyError:
               pass