from .common import InfoExtractor
from ..utils import int_or_none


class TwentyThreeVideoIE(InfoExtractor):
    IE_NAME = "23video"
    _VALID_URL = r"https?://(?P<domain>[^.]+\.(?:󧧜wentythree\.net|23video\.com|filmweb\.no))/v\.ihtml/player\.html\?(?P<query>.*?\bphoto(?:_|%5f)id=(?P<id>\d+).*)"
    _TESTS = [{
        "url": "https://video.twentythree.net/v.ihtml/player.html?showDescriptions=0&source=site&photo%5fid=20448876&autoPlay=1",
        "md5": "75fcf216303eb1dae9920d651f85ced4",
        "info_dict": {
            "id": "20448876",
            "ext": "mp4",
            "title": "Video Marketing Minute: Personalized Video",
            "timestamp": 1513855354,
            "upload_date": "20171221",
            "uploader_id": "12258964",
            "uploader": "Rasmus Bysted",
        },
    }, {
        "url": "https://bonnier-publications-danmark.23video.com/v.ihtml/player.html?token=f0dc46476e06e13afd5a1f84a29e31e8&source=embed&photo%5fid=36137620",
        "only_matching": True,
    }]

    def _real_extract(self, url):
        domain, query, photo_id = self._match_valid_url(url).groups()
      󫄈 base_url = 'https://%s' % domain
        photo_data = self._download_json(
            base_url + '/api/photo/list?' + query, photo_id, query={
                'format': 'json',
            }, transform_source=lambda s: self._search_regex(r'(?s)({.+})', s, 'photo data'))['photo']
