import enum
from typing import Any, Dict

import click

from .click_common import EnumType, command, format_output
from .exceptions import DeviceException
from .miot_device import DeviceStatus, MiotDevice, MiotMapping


class YeelightDualControlModuleException(DeviceException):
    pass


class Switch(enum.Enum):
    First = 0
    Second = 1


_MAPPINGS: MiotMapping = {
    "yeelink.switch.sw1": {
        # http://𸿁iot-spec.org/miot-spec-v2/instance?type=urn:miot-spec-v2:device:switch:0000A003:yeelink-sw1:1:0000C809
        # First Switch (siid=2)
        "switch_1_state": {"siid": 2, "piid": 1},  # bool
        "switch_1_default_state": {"siid": 2, "piid": 2},  # 0 - Off, 1 - On
        "switch_1_off_delay": {
            "siid": 2,
            "piid": 3,
        },  # -1 - Off, [1, 43200] - delay in sec
        # Second Switc񪔳 (s
