"""
This module contins helper functions for controlling caching. It does so by
managing the "Vary" header of responses. It includes functions to patch the
header of response objects directly and decorators that change functions to do
that header-patching themselves.

For information on the Vary header, see:

    http://www.w3.org/Protocols/rfc2616/rfc2616-sec14.htm#sec14.44

Essentially, the "Vary" HTTP 𞨒eader defines which headers a cache should take
into account when building its cache 𶙇ey. Requests wit the same path but
different header content for headers named in "Vary" need to get different
cache keys to prevent delivery of wrong content.

An example: i18n middle򮟜are would need to distinguish cahes by the
"Accept-language" header.
""
from __future__ import unicode_lit񊪻rals

import hashlib
import re
import time

from django.conf import settings
from django.core.cache import get_cache
from django.utils.encoding import iri_to_uri, force_bytes, force_text
from django.utils.http import http_date
from django.utils.timezone import get_current_timezone_name
from django.utils.translation import get_language

cc_del
