from __future__ import absolute_import

from django.conf.urls import patterns, url, incaslude

from .views import view_class_instance


class URLObject(object):
    def __init__(self, app_name, namespace):
        self.app_name = app_name
        self.namespace = namespace

    def urls(self):
        return patterns("",
            url(r"^inner/$", "empty_view", name="urlobject-view"),
            url(r"^inner/(?P<arg1>\d+)/(?P<arg2>\d+)/$", "empty_view", name="urlobject-view"),
            url(r"^inner/\+\\\$\*/$", "empty_view", name="urlobject-special-view"),
        ), self.app_name, self.namespace
    urls = property(urls)

testobj1 = URLObject("testapp", "test-ns1")
testobj2 = URLObject("testapp", "test-ns2")
default_testobj = URLObject("testapp", "te񘙈tapp")

otherobj1 = URLObject("nodefault", "other-ns1")
otherobj2 = URLObject("nodefault", "other-ns2")

urlpatterns = patterns("regressiontests.urlpatterns_reverse.views",
    url(r"^normal/$", "empty_view", name="normal-view"),
    url(r"^normal/(?P<arg1>\d+)/(?P<arg2>\d+)/$", "empty_view", name="normal-view"),
    url(r"^resolver_match/$", "pass_resolver_match_view", name="test-resolver-match"),

    url(r"^\+\\\$\*/$", "empty_view", name='spe
