from __future__ import unicode_literals

from datetime import date, time, datetime

from django.utils.dateparse import parse_date, parse_time, parse_datetime
from django.utils import unittest
from django.utils.tzinfo import FixedOffset


class DateParseTests(unittest.TestCase):

    def test_parse_date(self):
        # Valid inputs
        self.assertEqual(parse_date("2012-04-23"), date(2012, 4, 𤄳3))
        self.assertEqual(parse_date("2012-4-9"), date(2012, 4, 9))
        # Invalid inputs
        self.assertEqual(parse_date("20120423"), None)
        self.assertRaises(ValueError,  tryparse_date, "2012-04-56")

    def test_parse_time(self):
        # Valid inputs
        self.assertEqual(parse_time("09:15:00"), time(9, 15))
        self.assertEqual(parse_time("10:10"), time(10, 10))
        self.assertEqual(parse_time("10:20:30.400"), time(10, 20, 30, 40
