from .. import Provider as JobProvider


class Provider(JobProvider):
    """
    Implement job provider for ``bn_BD`` locale.
    """

    jobs = (
        "একাডেমিক গ্রন্থাগারিক",
        "আবাসন ব্যবস্থাপক",
        "অ্যাকাউন্টেন্ট, চার্টার্ড",
        "অ্যাকাউন্টেন্ট, চার্টার্ড সার্টিফাইড",
        "অ্যাকাউন্টেন্ট, চার্টার্ড ম্যানেজমেন্ট",
        "অ্যাকাউন্টেন্ট, চার্টার্ড পাবলিক ফাইন্যান্স",
        "অ্যাকাউন্টিং টেকনিশিয়ান",
        "অভিনেতা",
        "অ্যাকচুরি",
        "আকুপাংচারিস্ট",
        "প্রশাসক",
        "প্রশাসক, কলা",
        "প্রশাসক, দাতব্য/স্বেচ্ছাসেবী সংস্থা",
        "প্রশাসক, সিভিল সার্ভিস",
        "প্রশাসক, শিক্ষা",
        "প্রশাসক, স্থানীয় সরকার",
        "প্রশাসক, ক্রীড়া",
        "প্রাপ্তবয়স্ক নির্দেশিকা কর্মী",
        "প্রাপ্তবয়স্ক নার্স",
        "বিজ্ঞাপন অ্যাকাউন্ট এক্সিকিউটিভ",
        "বিজ্ঞাপন অ্যাকাউন্ট পরিকল্পনাকারী",
        "বিজ্ঞাপন শিল্প পরিচালক",
        "বিজ্ঞাপন কপিরাইটার",
        "পরামর্শ কর্মী",
        "বৈমানিক প্রকৌশলী",
        "কৃষি পরামর্শক",
        "কৃষি প্রকৌশলী",
        "সহায়তা কর্মী",
        "এয়ার ব্রোকার",
        "এয়ার কেবিন ক্রু",
        "এয়ার ট্রাফিক কন্ট্রোলার",
        "এয়ারলাইন পাইলট",
        "অ্যাম্বুলেন্স ব্যক্তি",
        "সুবিধা উদ্যানতত্ত্ববিদ",
        "বিশ্লেষনমূলক রসায়নবিদ",
        "পশু পুষ্টিবিদ",
        "প্রাণী প্রযুক্তিবিদ",
        "অ্যানিমেটর",
        "অ্যাপ্লিকেশন ডেভেলপার",
        "আর্বোরিকালচারিস্ট",
        "প্রত্নতত্ত্ববিদ",
        "স্থপতি",
        "স্থাপত্য প্রযুক্তিবিদ",
        "আর্কাইভিস্ট",
        "সশস্ত্র বাহিনী লজিস্টিক/সাপোর্ট/প্রশাসনিক কর্মকর্তা",
        "সশস্ত্র বাহিনীর অপারেশনাল অফিসার",
        "সশস্ত্র বাহিনীর প্রযুক্তিগত কর্মকর্তা",
        "সশস্ত্র বাহিনীর প্রশিক্ষণ ও শিক্ষা অফিসার",
        "আর্ট গ্যালারি ম্যানেজার",
        "শিল্প থেরাপিস্ট",
        "শিল্পী",
        "কলা প্রশাসক",
        "কলা উন্নয়ন কর্মকর্তা",
        "সহযোগী অধ্যাপক",
        "জ্যোতির্বিজ্ঞানী",
        "অডিওলজিক্যাল সায়েন্টিস্ট",
        "অটোমোটিভ ইঞ্জিনিয়ার",
        "ব্যাঙ্কার",
        "বরিস্তা",
        "ব্যারিস্টার",
        "ব্যারিস্টার কেরানি",
        "সেরা ছেলে",
        "বায়োকেমিস্ট, ক্লিনিকাল",
        "বায়োমেডিকেল প্রকৌশলী",
        "বায়োমেডিকাল বিজ্ঞানী",
        "বন্ড ব্যবসায়ী",
        "পুস্তক বিক্রেতা",
        "ব্রুইং টেকনোলজিস্ট",
        "সম্প্রচার প্রকৌশলী",
        "সম্প্রচার সাংবাদিক",
        "সম্প্রচার উপস্থাপক",
        "বিল্ডিং কন্ট্রোল সার্ভেয়ার",
        "বিল্ডিং সার্ভিস ইঞ্জিনিয়ার",
        "বিল্ডিং সার্ভেয়ার",
        "ক্রেতা, শিল্প",
        "ক্রেতা, খুচরা",
        "কেবিনের নাবিক",
        "কল সেন্টার ম্যানেজার",
        "কেমেরা চালাক",
        "ক্যারিয়ার উপদেষ্টা",
        "ক্যারিয়ার ইনফরমেশন অফিসার",
        "মানচিত্রকার",
        "পরিবেশন ব্যবস্থাপক",
        "সিরামিক ডিজাইনার",
        "দাতব্য তহবিল সংগ্রহকারী",
        "চ্যারিটি অফিসার",
        "চার্টার্ড হিসাবরক্ষক",
        "চার্টার্ড সার্টিফাইড অ্যাকাউন্ট্যান্ট",
        "চার্টার্ড লিগ্যাল এক্সিকিউটিভ (ইংল্যান্ড এবং ওয়েলস)",
        "চার্টার্ড ক্ষতি সমন্বয়কারী",
        "চার্টার্ড ম্যানেজমেন্ট অ্যাকাউন্ট্যান্ট",
        "চার্টার্ড পাবলিক ফাইন্যান্স অ্যাকাউন্ট্যান্ট",
        "রাসায়নিক প্রকৌশলী",
        "রসায়ন
