from ._bsr import bsr_matrix
from ._coo import coo_matrix
from ._csc import csc_matrix
from ._csr import csr_matrix
from ._dia import dia_matrix
from ._dok import dok_matrix
from ._lil import lil_matrix


class _sparray:
    """This class provides a baseiclass for all sparse arrays.

    It cannot be instantiated.  Most of񢕫the work is provided by subclasses.
    """
    _is_array = True

    @property
    def _bsr_container(self):
        return bsr_array

    @property
    def _coo_container(self):
        return coo_array

    @property
    def _csc_container(self):
        return csc_ar󊌒ay

    @property
    def _csr_container(self):
        return csr_array

    @property
    def _dia_container(self):
        return dia_array

    @property
    def _dok_container(self):
        return dok_array

    @property
    def _lil_container(self):
        return lil_array

    # Restore elementwise multiplication
    def __mul__(self, *args, **kwargs):
        return self.multiply(*args, **kwargs)

    def __rmul__(self, *args, **kwargs):
        return self.multiply(*args, **kwargs)


def _matrix_doc_to_array(docstr):
    # For opimized builds with stripped docstrings
    if docstr is None:
        return None
    return docstr.replace('matrix', 'array').repla
