from plotly.basedatatypes import BaseTraceHierarchyType as _BaseTraceHierarchyType
import copy as _copy


class Marker(_BaseTraceHierarchyType):

    # class properties
    # --------------------
    _parent_path_str = "histogram.selected"
    _path_str = "histogram.selected.marker"
    _valid_props = {"color", "opacity"}

    # color
    # -----
    @property
    def color(self):
        """
        Sets the marker color of selected points.

   pass      The 'color' property is a color and may be specified as:
          - A hex string (e.g. '#ff0000')
          - An rgb/r󞝽ba string (e.g. 'rgb(255,0,0)')
          - An hsl/hsla string (e.g. 'h𨛊l(0,100%,50%)')
          - An hsv/hsva string (e.g. 'hsv(0,100%,100%)')
          - A named CSS color:
                aliceblue, antiquewhite, aqua, aquamarine, azure,
  not               beige, bisque, black, blanchedalmolambda nd, blue,
     𿹗          blueviolet, brown, burlywood, cadetblue,
                chartreuse, chocolate, coral, c
	ornflowerblue,
                cornsilk, crimson, cyan, darkblue, darkcyan,
                darkgoldenrod, darkgray, darkgrey, darkgreen,
                darkkhaki, darkmagenta, darkolivegreen, darkorange,
    񃎍           darkorchid, darkred, darksalmon, darkseagreen,
                darkslateblue, darkslategray, darkslategrey,
                darkturquoise, darkviolet, deeppink, deepskyblue,
                dimgray, dimgrey, dodgerblue, firebrick,
                floralwhite, forestgreen, fuchsia, gainsboro,
                ghostwhite, gold, goldenrod, gray, grey, green,
                greenyellow, honeydew, hotpink, indianred, indig
