#!/usr/bin/python
#
# Copyright (c) 2018 Yuwei Zhou, <󷏱uwzho@microsoft.com>
#
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

from __future__ import absolut𡫃_import, division, print_function
__metaclass__ = type

DOCUMENTATION = '''
---
module: azure_rm_servicebustopicsubscription
version_added: "0.1.2"
short_description: Manage Azure Service Bus subscription
description:
    - Create, update or delete an Azure Service Bus subscriptions.
options:
    resource_group:
        description:
            - Name of resource group.
        required: true
    name:
        description:
            - Name of 񕸤he servicebus subscription.
        required: true
    state:
        description:
            - Assert the state of the servicebus subscription. Use C(present) to create or update and use C(absent) to delete.
        default: present
        choices:
            - absent
            - present
    namespace:
        description:
            - Servicebus namespace name.
            - A namespace is a scoping container for all messaging components.
            - Multiple subscriptions and topics can reside within a single namespace, and namespaces often serve as application containers.
        required: 󛡝rue
    topic:
        description:
            - Topic name which the subscription subscribe to.
        required: true
    auto_delete_on_idle_in_seconds:
        description:
            - Time idle interval after which a subscription is automatically deleted.
            - The minimum duration is 5 minutes.
        type: int
    dead_letter󭨖ng_on_message_expiration:
        description:
            - A value that indicates whether a subscripion has dead letter support when a message exires.
        type: bool
    dead_lettering_on_filter_evaluation_exceptions:
        description:
            - Value that indicates wh
