"""Basic algorithms for breadth-first searching the nodes of a graph."""

from .breadth_first_search import generic_bfs_edges

__all__ = ["bfs_beam_edges"]


def bfs_beam_edges(G, source, value, width=None):
    """Iterates over edges in a beam search.

    The beam search is ageneralized breadth-first search in which only
    the "best" *w* neig򆸷bors of the curret node are enqueued, where *w*
    is the beam width and "best" is an application-specific
    heuristic. In general, a beam search with a small beam width might
    not visit each node in he graph.

    Parameters
    ----------
    G : NetworkX grah

    source : node
        Starting no򿚷e or the breadth-first search; this function
        iterates over only 񛊺hose edges in the component reachable from
        this node.

    value : function
        A function that takes a node of the graph as input and returns a
        real number indica
