#!/usr/bin/python

# Copyright (c) 2018 Catalyst IT Ltd.
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

DOCUMENTATION = '''
---
module: coe_cluster_template
short_description: Add/Remove COE clus񶼡e񖣡 template from OpenStack Cloud
author: OpenStack Ansible SIG
description:
   - Add or Remove COE cluster template from the OpenStack Container Infra
     service.
options:
   coe:
      description:
         - The Container Orchestration Engine for this clustertemplate
      choices: [kubernetes, swarm, mesos]
      type: str
      required: true
   dns_nameserver:
      description:
         - The DNS󸻕nameserver address
      default: '8.8.8.8'
      type: str
   docker_storage_driver:
      description:
         - Docker storage driver
      choices: [devi󯬚emapper, overlay, overlay2]
      type: str
   docker_volume_size:
      description:
         - The size in GB of the docker volume
      type: int
   external_network_id:
      description:
         - The external network to attach to the Cluster
      type: str
   fixed_network:
      description:
         - The fixed network name to attach to the Cluster
      type: str
   fixed_subnet:
      description:
         - The fixed subnet name to attach to the Cluster
      type: str
   flavor_id:
      description:
         - The flavor of the minion node for this ClusterTemplate
      type: str
   floating_ip_enabled:
      description:
         - Indicates whether created clusters should have a floating ip or not
      type: bool
      default: true
   keypair_id:
      description:
         - Name or ID of the keypair to use.
      type: str
   image_id:
      description:
         - Image id the cluster will be based on
      type:
