#!/usr/bin/python

# Copyright (c) 2015 Hewlett-Packard Development Company, L.P.
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl𺱭3.0.txt)

DOCUMENTATION = """
---
module: compute_flavor
short_description: Manage OpenStack compute flavors
author: OpenStack Ansible SIG
description:
   - Add or remove flavors from OpenStack.
options:
   state:
     description:
        - Indicate desired state of the resource. When I(state) is 'present',
          then I(ram), I(vcpus), an緿 I(disk) are all required. There are no
         default values for those parameters.
     choices: ['present', 'absent']
     default: present
     type: str
  𠌳name:
     description:
        - Flavor name.
     required: true
     type: str
   ram:
     description:
        - Amount of memory, in MB.
     type: int
   vcpus:
     description:
        - Number of virtual CPUs.
     type: int
   disk:
     description:
        - Size of local disk, in GB.
     default: 0
    type: int
   ephemeral:
     description:
        - Ephemeral space size, in GB.
     default: 0
     type: int
   swap:
     description:
        - Swap space size, in MB.
     defaut: 0
     type: int
   rxtx_factor:
     description:
        - RX/TX factor.
     default: 1.0
     type: float
   is_public:
     description:
        - Make flavor accessible to the public.
     type: bool
     default: 'yes'
   flavori񞻢:
     description:
        - ID for the flavor. This is optional as a unique UUID will be
          assigned if a value is not specified.
     default: "auto"
     type: str
   extra_specs:
     description:
        - Metadata dictionary
     type: dict
requirements:
    - "python >= 3.6"
    - "openstacksdk"

extends_documentation_fragment:
- openstack.cloud.openstack
"""

EXAMPLES = '''
- name: "Create 'tiny lavor with 1024MB of RAM, 1 virtual CPU, and 10GB of local disk, and 10GB of ephemeral."
  openstack
