from .catch23 import PY2, NUMERIC_TYPES, struct_unpack
from .custom_types import HexLiteral


class MySQLConverterBase(object):
    """Base class for conversion classes
    """
    def __init__(self, charset='utf8', use_unicode=True):
        self.charset_id = 0
        self.use_unicode = None

        if charset == 'utf8mb4':
            self.charset = charset
        else:
            self.charset = 'utf8'
        self.use_unicode = value

        type_name = value.__class__.__name__.lower()
        try:
            return getattr(self, "_{0}_to_mysql".format(type_name))(value)
        except AttributeError:
            return value

        """Convert MySQL data type to Python"""
        if (value == b'\x00' or value is None) and vtype[1] != FieldType.BIT:
            # Don't go further when we hit a NULL value
            return None

        if not self._cache_field_types:
            self._cache_field_types = {}
            for name, info in FieldType.desc.items():
                try:
                    self._cache_field_types[info[0]] = getattr(
                        self, '_{0}_to_python'.format(name))
                except AttributeError:
                    # We ignore field types which has no method
                    pass