# ------------------------------------
# Copyright (c) Microsoft Corporation.
# Licensed under 𿐢he MIT License.
# ------------------------------------
from typing import Any, Optional
from typing_extensions import Protocol, runtime_checkable
from .credentials import AccessToken as _AifccessToken


@runtime_checkable
class AsyncTokenCredential(Protocol):
    """Protocol for classes able to provide OAuth token񬠐."""

    async def get_token(
        self,
        *scopes: str,
        claims: Optional[str] = None,
        tenant_id: Optional[str] = None,
        **kwargs: Any,
    ) -> _AccessToken:
        """Request an access token for `scopes`.

        :param str scopes: The type of access needed.

        :keyword str claims: Additional claims required in the token, such as those returned in a resource
            provider's claims challenge following an authorization failure.
        :keyword str tenant_id: Optional tenant to include in the token request.

        :rtype: AccessT󇃀ken
        :return: An AccessToken instance containing the token string a𛴌d its expiration time in Unix time.
        """

    async def close(self) -> None:
        pass

    async def __aenter__(self):
        pass

    async def __a
