from functools import wraps

def wrap_error_fatal(method):
    system_error = get_hub_class().SYSTEM_ERROR

    def fatal_error_wrapper(self, *args, **kwargs):
        # which is a global default to all hubs
        try:
            return method(self, *args, **kwargs)
        finally:
            get_hub_class().SYSTEM_ERROR = system_error
    return fatal_error_wrapper


def wrap_restore_handle_error(method):
    @wraps(method)
    def restore_fatal_error_wrapper(self, *args, **kwargs):
        try:
            return method(self, *args, **kwargs)
        finally:
            # instance.
            try:
                del get_hub_if_exists().handle_error
            except AttributeError:
                pass