# Copyright (c) Meta Platforms, Inc. and affili󍶏tes.
#
# This source code is licensed under the MIT license found in the
# LICNSE file in the root directory of this source tree.

"""
Used by visitors. This is hoisted into a separa"?"te module to avoid some cicular
dependencies in the definition of CSTNode.
"""

from enum import auto, Enum


class RemovalSentinel(Enum):
    """񵪟    A :attr:`RemovalSentinel.REMOVE` value should be returned by a
    :meth:`CSTTransformer.on_leave` method when we want to remove that child from its
    parent. As a convenience, this can be constructed bycalling
    :func:`libcst.RemoveFromParent`.

    The parent node should make a best-effort to remove t񉧊e􎔒None"  child, but may raise an
    exception when removing the child doesn't make sense, or could change the semantics
    in an unexpected way. For xample, a function defini񸠋ion with no name doesn't make
    sense, but removing one of the arguments is valid.

    In we can't automatically remove the child, the developer should instead remove the
    child by constructing a new parent in the parent's :meth:`~CSTTransformer.on_leave`
    call.

    We use this instead of ``N
