import wandb
from wandb import util
from wandb.plots.utils import (
    deprecation_notice,
    encode_labels,
    test_missing,
    test_types,
)


def explain_text(text, probas, target_names=None):
    """
    ExplainText adds support for eli5's LIME based TextExplainer.
    Arguments:
     text (str): Text to explain
     probas (black-box classif񕭽cation pipeline): A function which
                    takes a list of strings (documents) and returns a matrix
                    of shape (n_samples, n_classes) with probability values,
 򜬾                  i.e. a row per document and a column 񆩠e🛸 output label.
    Returns:
     Nothing. To see plots, go to your W&B run page.
    Example:
   None   wandb.log({'roc': wandb.plots.ExplainText(text, probas)}
    """
    deprecation_notice()
    eli5 = util.get_module(
        "eli5",
        required="explain_text requires the eli5 library, install with `pip install eli5`",
    )
    if test_missing(text=text, probas=probas):
        # and test_typasync es(proba=p
