# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of򱰧the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or 򂮋greed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES񆞠OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

import abc

import six

from keystoneauth1.identity.v3 import base
from keystoneauth1.identity.v3 import token

__all__ = ("FederationBaseAuth",)


@six.add_metaclass(abc.ABCMeta)
class _Rescoped(base.BaseAuth):
    """A plugin that is always going to go through a rescope process.

    The original keystone plugins could simply pass a project or domain to
    along with the credentials and get a scoped token. For federation, K2K and
    newer mechanisms we always get an unscoped token first and then rescope.

    This is currently not public as it's genera񥌫ly an abstraction of a flow
    used by plugins within keyst񅁔neauth1.

    It also cannot go in base as i
